package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.LoginUser;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.vo.MappingKirimDokumenPasienVO;
import com.jasamedika.medifirst2000.vo.StrukBuktiPengeluaranCaraBayarVO;
import com.jasamedika.medifirst2000.vo.StrukBuktiPengeluaranVO;

public interface GajiPegawaiService {

	Map<String, Object> getDaftarGajiPegawai(Integer page, Integer limit, String sort, String dir, String dateStart,
			String dateEnd, String detailKategoryPegawai, String noRec, String gridFor, String status);

	Map<String, Object> getDetailGajiPegawai(Integer page, Integer limit, String sort, String dir, String dateStart,
			String dateEnd, String detailKategoryPegawai, String noRec, Integer idPegawai);

	Map<String, Object> getTotalGajiPegawai(String dateStart, String dateEnd, String detailKategoryPegawai);

	Map<String, Object> saveGajiPegawai(StrukBuktiPengeluaranVO vo);

	Ruangan getRuanganByUserLogin();

	LoginUser getLoginUser();

	List<Integer> getRuanganByUserLoginList();

	Map<String, Object> getDaftarGajiPegawaiVerifikasi(Integer page, Integer limit, String sort, String dir,
			String dateStart, String dateEnd, String detailKategoryPegawai, String noRec, String gridFor,
			String status);

	Map<String, Object> saveVerifikasiGajiPegawai(String noRec);

	String generatePembayaranKe(String noRec);

	Map<String, Object> savePembayaranGajiPegawai(StrukBuktiPengeluaranCaraBayarVO vo, Integer idRekanan, String noRec,
			String status);

	String GenerateNoSbk();

	Map<String, Object> saveKlaimPembayaranGajiPegawai(MappingKirimDokumenPasienVO vo);

}
